Bug 2245450 - Review Request: rust-logos-derive - Create ridiculously fast Lexers
Summary: Review Request: rust-logos-derive - Create ridiculously fast Lexers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2245445
Blocks: 2245451
TreeView+ depends on / blocked
 
Reported: 2023-10-21 15:21 UTC by Seth Maurice-Brant
Modified: 2023-11-05 16:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-05 16:16:26 UTC
Type: ---
Embargoed:
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Seth Maurice-Brant 2023-10-21 15:21:59 UTC
Spec URL: https://gitlab.com/fedora-pkgs/rust-logos-derive/-/raw/main/rust-logos-derive.spec
SRPM URL: https://gitlab.com/fedora-pkgs/rust-logos-derive/-/raw/main/rust-logos-derive-0.13.0-1.fc39.src.rpm
Description: Create ridiculously fast Lexers
Fedora Account System Username: saluki

Comment 1 Fedora Review Service 2023-10-23 13:05:02 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6557795
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2245450-rust-logos-derive/srpm-builds/06557795/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Seth Maurice-Brant 2023-10-28 10:49:10 UTC
Updated to fix licensing. This will fail as it depends upon rust-logos-codegen, but it should otherwise be fine now.

Spec: https://gitlab.com/fedora-pkgs/rust-logos-codegen/-/raw/main/rust-logos-codegen.spec
SRPM: https://gitlab.com/fedora-pkgs/rust-logos-codegen/-/raw/main/rust-logos-codegen-0.13.0-1.fc40.src.rpm

Comment 3 Seth Maurice-Brant 2023-11-02 13:17:22 UTC
Updated with further fixes. Sources unchanged.

Comment 4 Fabio Valentini 2023-11-05 13:53:43 UTC
Looks like you pasted the wrong URLs here?

Comment 5 Seth Maurice-Brant 2023-11-05 14:41:30 UTC
You would be very correct with that one. I seem to have pasted the wrong files, sorry about that.

Here are the correct ones:

SRPM:https://gitlab.com/fedora-pkgs/rust-logos-derive/-/raw/main/rust-logos-derive-0.13.0-3.fc40.src.rpm
Spec: https://gitlab.com/fedora-pkgs/rust-logos-derive/-/raw/main/rust-logos-derive.spec

Comment 6 Fabio Valentini 2023-11-05 15:37:11 UTC
Thanks, looks good to me!

===

Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass (there are no tests)
- latest version of the crate is packaged
- license matches upstream specification (MIT OR Apache-2.0) and is acceptable for Fedora
- license files are included with %license in %files (included manually from upstream GitHub project)
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

Recommended post-import rust-sig tasks:

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- add @rust-sig with "commit" access as package co-maintainer
  (should happen automatically)

- set bugzilla assignee overrides to @rust-sig (optional)

- track package in koschei for all built branches
  (should happen automatically once rust-sig is co-maintainer)

===

If you have time, it would be great if you could review one of my pending packages in turn.

Comment 7 Fedora Admin user for bugzilla script actions 2023-11-05 15:58:54 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-logos-derive

Comment 8 Fedora Update System 2023-11-05 16:14:47 UTC
FEDORA-2023-319e58ff5b has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-319e58ff5b

Comment 9 Fedora Update System 2023-11-05 16:16:26 UTC
FEDORA-2023-319e58ff5b has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.